> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/developer/_mcp/server.

# Get domain info

GET https://api.mailchimp.com/3.0/verified-domains/{domain_name}

Get the details for a single domain on the account.

Reference: https://mailchimp.com/developer/marketing/api/verified-domains/get

## Authentication

- `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token)
- `Authorization` header (bearer token, required) — Authorization using OAuth

## Request

### Path parameters

- `domain_name` (string, required) — The domain name.

## Response

### 200

- `authenticated` (boolean, optional) — Whether domain authentication is enabled for this domain.
- `domain` (string, optional) — The name of this domain.
- `is_free_email_provider` (boolean, optional) — Returns whether the domain used is a public / free email provider. See [Limitations of Free Email Addresses](https://mailchimp.com/help/limitations-of-free-email-addresses/) for more details.
- `status` (enum, optional) — The Domain's current status.
  - Allowed values: `VERIFICATION_IN_PROGRESS`, `VERIFIED`, `EXPIRED`, `ERROR`, `AUTHENTICATION_IN_PROGRESS`, `AUTHENTICATION_ERROR`, `AUTHENTICATED`
- `verification_email` (string, optional) — The e-mail address receiving the two-factor challenge for this domain.
- `verification_sent` (datetime, optional) — The date/time that the two-factor challenge was sent to the verification email.
- `verified` (boolean, optional) — Whether the domain has been verified for sending.

## Examples

**Response**

```json
{
  "authenticated": true,
  "domain": "string",
  "is_free_email_provider": true,
  "status": "VERIFICATION_IN_PROGRESS",
  "verification_email": "string",
  "verification_sent": "2024-01-15T09:30:00Z",
  "verified": true
}
```

**SDK Code**

```python
import requests

url = "https://api.mailchimp.com/3.0/verified-domains/domain_name"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mailchimp.com/3.0/verified-domains/domain_name';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mailchimp.com/3.0/verified-domains/domain_name"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mailchimp.com/3.0/verified-domains/domain_name")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mailchimp.com/3.0/verified-domains/domain_name")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mailchimp.com/3.0/verified-domains/domain_name', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mailchimp.com/3.0/verified-domains/domain_name");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/verified-domains/domain_name")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```